org.appng.api

## Interface ParameterSupport

- All Known Implementing Classes:
    DollarParameterSupport, HashParameterSupport, ParameterSupportBase

      public interface ParameterSupport

  Supports finding and replacing parameters inside a `String`. The parameters need to use a prefix and a suffix so they can be found.
  Author:
    Matthias Müller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionEvaluator` | `getExpressionEvaluator()` Returns an `ExpressionEvaluator` created with the parameters of this `ParameterSupport`.
    `Collection<String>` | `getParameterNames()` Returns the names of all parameters this `ParameterSupport` is aware of.
    `Map<String,String>` | `getParameters()` Returns an immutable `Map` containing all parameters this `ParameterSupport` is aware of.
    `List<String>` | `getParameters(String source)` Returns the names of all parameters used in the given `String`, without affixes.
    `String` | `replaceParameters(String source)` Replaces all parameters in the given `String` and returns a new one containing the replacements.

- - ### Method Detail

    - #### replaceParameters

          String replaceParameters(String source)

      Replaces all parameters in the given `String` and returns a new one containing the replacements.
      Parameters:
        `source` - the `String` to replace the parameters in
      Returns:
        a new `String` with the parameters replaced

    - #### getParameters

          List<String> getParameters(String source)

      Returns the names of all parameters used in the given `String`, without affixes.
      Parameters:
        `source` - the `String` to search the parameters for
      Returns:
        the names of all parameters used in the given `String`, without affixes.

    - #### getParameterNames

          Collection<String> getParameterNames()

      Returns the names of all parameters this `ParameterSupport` is aware of.
      Returns:
        the names of all parameters this `ParameterSupport` is aware of

    - #### getParameters

          Map<String,String> getParameters()

      Returns an immutable `Map` containing all parameters this `ParameterSupport` is aware of.
      Returns:
        an immutable `Map` containing all parameters this `ParameterSupport` is aware of.

    - #### getExpressionEvaluator

          ExpressionEvaluator getExpressionEvaluator()

      Returns an `ExpressionEvaluator` created with the parameters of this `ParameterSupport`.
      Returns:
        an `ExpressionEvaluator` created with the parameters of this `ParameterSupport`.

Copyright © 2011–2023 aiticon GmbH. All rights reserved.